Subject: Re: Desktop icon whoos

From: Dominik Vogt <[email-masked]>
Date: Fri, 17 Mar 2000 10:06:36 +0100

On Wed, Mar 01, 2000 at 05:59:02PM +0100, Non-HP-joerg wrote:
> On Wed, Mar 01, 2000 at 11:05:14AM +0100, Dominik Vogt wrote:
> > > Here it comes
> > 
> > Sigh!  No, it works perfectly here, even with your config.  Is
> > this a problem with all icons or do only the icons of some
> > applications fail to work properly?
> all icons
> 
> OK
> 
> I have the fvwm 2.3.16 version from monday (CVS)
> I have a 2.2.13 Linux kernel
> I have an X server (XFree86 3.3.5, S3) running at unix:0
> I open an xterm (rxvt actually)
> 
> 1. type "Xwrapper :1 vt06 &" // note: if vt06 is used use another
> 2. type "xterm -display :1 &"
> 3. go to virtual termninal 6 (ctrl-alt-f6)
> 4. In xterm type "fvwm2 -f init-d &" // init-d is the provided config
> 5. use mouse button 3 to pop up menu and start 3 xterms, iconify all
> (a-f9)
> 6. you have the initial xterm and 3 iconified xterm now.
> 7. from the menu, do a restart
> 8. after restart, click on the middle icon
> 9. you now have 2 xterm visible, and 2 icons w/ a hole in the middle
> 10. press "8" on the number-pad to go to page 1 0
> 11. now you have only the 2 icons visible, with a hole in the middle
> 12. start a vi or whatever, and iconify: it takes the place in the
> middle
> 13. now you have 3 icons on the desktop: xterm, vi, xterm
> 14. press "7" on the number-pad to go to page 0 0
> 15. now you have 3 icons and 2 xterm visible
> 16. now iconify the xterm you started from the menu NOT the initial
>     xterm from which you started fvwm2
> 17. the xterm icon overlays the vi icon
> 
> someone ANYONE please tell me that you see this error

The good news: yes, I have seen this problem - partially.
I got the gap even after flipping pages, but the icons
still didn't overlap (instead one of the icons simply
disappeared (?)).
The bad news: I can't make it happen again.  Perhaps it
depends on the order in which you iconify the xterms.
Can you provide more details on the exact order you use?

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]